# Uses of Interface
org.bukkit.WorldBorder

Packages that use WorldBorder
Package
Description
io.papermc.paper.event.world.border
org.bukkit
The root package of the Bukkit API, contains generalized API classes.
org.bukkit.entity
Interfaces for non-voxel objects that can exist in a `world`, including all players, monsters, projectiles, etc.

## Uses of WorldBorder in io.papermc.paper.event.world.border

Methods in io.papermc.paper.event.world.border that return WorldBorder
Modifier and Type
Method
Description
`@NotNull WorldBorder`
WorldBorderEvent.`getWorldBorder()`
Constructors in io.papermc.paper.event.world.border with parameters of type WorldBorder
Modifier
Constructor
Description
``
`WorldBorderBoundsChangeEvent(@NotNull World world, @NotNull WorldBorder worldBorder, @NotNull WorldBorderBoundsChangeEvent.Type type, double oldSize, double newSize, long duration)`
``
`WorldBorderBoundsChangeFinishEvent(@NotNull World world, @NotNull WorldBorder worldBorder, double oldSize, double newSize, double duration)`
``
`WorldBorderCenterChangeEvent(@NotNull World world, @NotNull WorldBorder worldBorder, @NotNull Location oldCenter, @NotNull Location newCenter)`
``
`WorldBorderEvent(@NotNull World world, @NotNull WorldBorder worldBorder)`

## Uses of WorldBorder in org.bukkit

Methods in org.bukkit that return WorldBorder
Modifier and Type
Method
Description
`static @NotNull WorldBorder`
Bukkit.`createWorldBorder()`
Create a new virtual `WorldBorder`.
`@NotNull WorldBorder`
Server.`createWorldBorder()`
Create a new virtual `WorldBorder`.
`@NotNull WorldBorder`
World.`getWorldBorder()`
Gets the world border for this world.

## Uses of WorldBorder in org.bukkit.entity

Methods in org.bukkit.entity that return WorldBorder
Modifier and Type
Method
Description
`@Nullable WorldBorder`
Player.`getWorldBorder()`
Gets the `WorldBorder` visible to this Player, or null if viewing the world's world border.
Methods in org.bukkit.entity with parameters of type WorldBorder
Modifier and Type
Method
Description
`void`
Player.`setWorldBorder(@Nullable WorldBorder border)`
Sets the `WorldBorder` visible to this Player.